import { world, system, PlayerInventoryComponentContainer, Items, ItemStack, ItemEnchantsComponent } from '@minecraft/server'

system.runInterval(() => {
for (const player of world.getPlayers()) {
	const inventory = player.getComponent("inventory").container;
    const item = inventory.getItem(player.selectedSlot)
    if ([...
(item?.getComponent('enchantments').enchantments ?? [])].length || item?.typeId == "minecraft:end_crystal" || item?.typeId == "minecraft:enchanted_golden_apple" || item?.typeId == "minecraft:nether_star" || item?.typeId == "minecraft:potion" || item?.typeId == "minecraft:splash_potion" || item?.typeId == "minecraft:lingering_potion") {
         player.addTag("enchant")
         } else {
         	player.removeTag("enchant")
        }
    } 
})